feed-0.3.9.2: Interfacing with RSS (v 0.9x, 2.x, 1.0) + Atom feeds.

Portability | portable
Stability | provisional
Maintainer | Sigbjorn Finne <sof@forkIO.com>
Safe Haskell | Safe-Inferred

Text.Feed.Types

Description

Synopsis

- data Feed
  - = AtomFeed Feed
  - | RSSFeed RSS
  - | RSS1Feed Feed
  - | XMLFeed Element
- data Item
  - = AtomItem Entry
  - | RSSItem RSSItem
  - | RSS1Item Item
  - | XMLItem Element
- data FeedKind
  - = AtomKind
  - | RSSKind (Maybe String)
  - | RDFKind (Maybe String)

# Documentation

data Feed Source

The abstract type of feed documents. The internal representation is as whatever feed variant type the document was either imported or has now been translated to.

Constructors

AtomFeed Feed |
RSSFeed RSS |
RSS1Feed Feed |
XMLFeed Element |

Instances

Show Feed |

data Item Source

The abstract type of feed items. Like the `Feed` type, the representation of a value is as one of the different RSS item/entry variants.

Constructors

AtomItem Entry |
RSSItem RSSItem |
RSS1Item Item |
XMLItem Element |

Instances

Show Item |

data FeedKind Source

The kinds of feed documents supported.

Constructors

AtomKind |
RSSKind (Maybe String) |
RDFKind (Maybe String) |

Instances

Eq FeedKind |
Show FeedKind |